# This Spec file was Created by Marco Meijer <korrel@mandrakeclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl

%define __libtoolize /bin/true
%define name    dvdstyler
%define version 1.4.0
%define release 2.2006mcnl
%define summary  GUI frontend to dvdauthor
%define section Multimedia/Video

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor:         Mandrivaclub.nl
URL:		http://dvdstyler.sourceforge.net/
License:        GPL
Group:          %{section}
Packager:       Marco Meijer <marcol@mandrivaclub.nl>

Source0:	DVDStyler-1.4.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 

BuildRequires:  libqt3-devel libkdebase4-devel libwxgtk2.5-devel libmjpegtools-devel mpgtx dvd+rw-tools dvdauthor mjpegtools
Requires:	dvdauthor mjpegtools mpgtx dvd+rw-tools

%description
DVDStyler is a crossplatform GUI frontend to the dvd authoring and recording programs dvdauthor and growisofs. It is free software  distributed under GNU General


%prep
rm -rf %{buildroot}
%setup -q -n DVDStyler-1.4

%build
 
%configure
%make

%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/%{_datadir}/docs

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
needs="X11" \
icon="%name.png" \
section="%section" \
title="%name" \
longtitle="%summary"
EOF

#icons
mkdir -p %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 src/rc/logo.png %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 src/rc/logo.png %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 src/rc/logo.png %{buildroot}/%{_miconsdir}/%{name}.png

mkdir -p %{buildroot}%{_iconsdir}/hicolor/128x128/apps/
convert -scale 128x128 src/rc/logo.png %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%name.png
mkdir -p %{buildroot}%{_iconsdir}/hicolor/64x64/apps/
convert -scale 64x64 src/rc/logo.png %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%name.png
mkdir -p %{buildroot}%{_iconsdir}/hicolor/48x48/apps/
convert -scale 48x48 src/rc/logo.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps//%name.png
mkdir -p %{buildroot}%{_iconsdir}/hicolor/32x32/apps/
convert -scale 32x32 src/rc/logo.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%name.png
mkdir -p %{buildroot}%{_iconsdir}/hicolor/16x16/apps/
convert -scale 16x16 src/rc/logo.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%name.png


%post
%update_menus

%postun
%clean_menus

%clean 
rm -rf $RPM_BUILD_ROOT 



%files 
%defattr(-,root,root,0755) 
%doc README COPYING ChangeLog
%_menudir/*
%{_bindir}/*
%{_datadir}/*

%changelog 

* Tue May 17 2005 Marco Meijer <korrel@mandrakeclub.nl> 1.4.0-1.101mcnl
- new version

* Sun Feb 27 2005 Marco Meijer <korrel@mandrakeclub.nl> 1.3.1-1.101mcnl
- new version

* Mon Nov 01 2004 Marco Meijer <korrel@mandrakeclub.nl> 1.3-0beta.101mcnl
- new version



